CVE-2002-1894
CVSS4.3
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:47
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in viewtopic.php in phpBB 2.0.3 allows remote attackers to inject arbitrary web script or HTML via the highlight parameter.


[CNNVD]phpBB远程跨站脚本执行漏洞(CNNVD-200212-447)

        
        phpBB是一款免费开放源代码的WEB论坛/社区程序,由php语言实现,可以运行在unix/linux、MacOS、Microsoft Windows系统下。
        phpBB包含的viewtopic.php脚本对用户提交的输入缺少充分过滤,远程攻击者可以利用这个漏洞利用在论坛上发贴对其他浏览用户进行跨站脚本执行攻击。
        viewtopic.php脚本对用户提交的$highlight变量内容缺少过滤,提交包含恶意脚本代码的数据,并诱使用户点击此链接,可导致脚本代码在用户浏览器中执行,借此可以得到用户基于Cookie认证的敏感信息。
        

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1894
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1894
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-447
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/6195
(PATCH)  BID  6195
http://www.phpbb.com/phpBB/viewtopic.php?t=56283
(PATCH)  CONFIRM  http://www.phpbb.com/phpBB/viewtopic.php?t=56283
http://www.iss.net/security_center/static/10653.php
(PATCH)  XF  phpbb-viewtopic-script-xss(10653)
http://online.securityfocus.com/archive/1/300362
(UNKNOWN)  BUGTRAQ  20021118 XSS bug in phpBB

- 漏洞信息

phpBB远程跨站脚本执行漏洞
中危 输入验证
2002-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        phpBB是一款免费开放源代码的WEB论坛/社区程序,由php语言实现,可以运行在unix/linux、MacOS、Microsoft Windows系统下。
        phpBB包含的viewtopic.php脚本对用户提交的输入缺少充分过滤,远程攻击者可以利用这个漏洞利用在论坛上发贴对其他浏览用户进行跨站脚本执行攻击。
        viewtopic.php脚本对用户提交的$highlight变量内容缺少过滤,提交包含恶意脚本代码的数据,并诱使用户点击此链接,可导致脚本代码在用户浏览器中执行,借此可以得到用户基于Cookie认证的敏感信息。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * Arab VieruZ <arabviersus@hotmail.com>提供如下第三方补丁:
        打开viewtopic.php脚本,输入如下代码:
        $highlight = htmlspecialchars($highlight);
        $highlight = PREG_Replace("/[A-Z&.;:()~!@#$%^''*\{\}\/]/i", "", $highlight);
        厂商补丁:
        phpBB Group
        -----------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.phpbb.com/

- 漏洞信息

4297
phpBB viewtopic.php highlight Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

phpBB contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the "highlight" variable upon submission to the "viewtopic.php" script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2002-11-18 Unknow
2002-11-18 Unknow

- 解决方案

Upgrade to version 2.0.7 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站